rhbz#981429: New upstream release
- Fixes CVE-2013-5018: rhbz#991216, rhbz#991215 - Fixes rhbz#991859 failed to build in rawhide - Updated local patches and removed which are not needed - Fixed errors around charon-nm - Added plugins libstrongswan-pkcs12.so, libstrongswan-rc2.so, libstrongswan-sshkey.so - Added utility imv_policy_manager
This commit is contained in:
@@ -1,130 +1,7 @@
|
||||
Index: strongswan-5.0.0/init/Makefile.am
|
||||
===================================================================
|
||||
--- strongswan-5.0.0.orig/init/Makefile.am
|
||||
+++ strongswan-5.0.0/init/Makefile.am
|
||||
@@ -1,5 +1,5 @@
|
||||
|
||||
-SUBDIRS =
|
||||
+SUBDIRS = sysvinit
|
||||
|
||||
if HAVE_SYSTEMD
|
||||
SUBDIRS += systemd
|
||||
Index: strongswan-5.0.0/init/sysvinit/Makefile.am
|
||||
===================================================================
|
||||
--- /dev/null
|
||||
+++ strongswan-5.0.0/init/sysvinit/Makefile.am
|
||||
@@ -0,0 +1 @@
|
||||
+noinst_DATA = strongswan
|
||||
Index: strongswan-5.0.0/init/sysvinit/strongswan.in
|
||||
===================================================================
|
||||
--- /dev/null
|
||||
+++ strongswan-5.0.0/init/sysvinit/strongswan.in
|
||||
@@ -0,0 +1,100 @@
|
||||
+#!/bin/sh
|
||||
+#
|
||||
+# strongswan An implementation of key management system for IPsec
|
||||
+#
|
||||
+# chkconfig: - 48 52
|
||||
+# description: Starts or stops the Strongswan daemon.
|
||||
+
|
||||
+### BEGIN INIT INFO
|
||||
+# Provides: ipsec
|
||||
+# Required-Start: $network $remote_fs $syslog $named
|
||||
+# Required-Stop: $syslog $remote_fs
|
||||
+# Default-Start:
|
||||
+# Default-Stop: 0 1 6
|
||||
+# Short-Description: Start Strongswan daemons at boot time
|
||||
+### END INIT INFO
|
||||
+
|
||||
+# Source function library.
|
||||
+. /etc/rc.d/init.d/functions
|
||||
+
|
||||
+exec="@sbindir@/@ipsec_script@"
|
||||
+prog="strongswan"
|
||||
+status_prog="starter"
|
||||
+config="/etc/strongswan/strongswan.conf"
|
||||
+
|
||||
+lockfile=/var/lock/subsys/$prog
|
||||
+
|
||||
+start() {
|
||||
+ [ -x $exec ] || exit 5
|
||||
+ [ -f $config ] || exit 6
|
||||
+ echo -n $"Starting $prog: "
|
||||
+ daemon $exec start
|
||||
+ retval=$?
|
||||
+ echo
|
||||
+ [ $retval -eq 0 ] && touch $lockfile
|
||||
+ return $retval
|
||||
+}
|
||||
+
|
||||
+stop() {
|
||||
+ echo -n $"Stopping $prog: "
|
||||
+ $exec stop
|
||||
+ retval=$?
|
||||
+ echo
|
||||
+ [ $retval -eq 0 ] && rm -f $lockfile
|
||||
+ return $retval
|
||||
+}
|
||||
+
|
||||
+restart() {
|
||||
+ stop
|
||||
+ start
|
||||
+}
|
||||
+
|
||||
+reload() {
|
||||
+ restart
|
||||
+}
|
||||
+
|
||||
+force_reload() {
|
||||
+ restart
|
||||
+}
|
||||
+
|
||||
+_status() {
|
||||
+ # run checks to determine if the service is running or use generic status
|
||||
+ status $status_prog
|
||||
+}
|
||||
+
|
||||
+_status_q() {
|
||||
+ _status >/dev/null 2>&1
|
||||
+}
|
||||
+
|
||||
+
|
||||
+case "$1" in
|
||||
+ start)
|
||||
+ _status_q && exit 0
|
||||
+ $1
|
||||
+ ;;
|
||||
+ stop)
|
||||
+ _status_q || exit 0
|
||||
+ $1
|
||||
+ ;;
|
||||
+ restart)
|
||||
+ $1
|
||||
+ ;;
|
||||
+ reload)
|
||||
+ _status_q || exit 7
|
||||
+ $1
|
||||
+ ;;
|
||||
+ force-reload)
|
||||
+ force_reload
|
||||
+ ;;
|
||||
+ status)
|
||||
+ _status
|
||||
+ ;;
|
||||
+ condrestart|try-restart)
|
||||
+ _status_q || exit 0
|
||||
+ restart
|
||||
+ ;;
|
||||
+ *)
|
||||
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
|
||||
+ exit 2
|
||||
+esac
|
||||
+exit $?
|
||||
Index: strongswan-5.0.0/configure.in
|
||||
===================================================================
|
||||
--- strongswan-5.0.0.orig/configure.in
|
||||
+++ strongswan-5.0.0/configure.in
|
||||
@@ -1082,6 +1082,8 @@ AC_OUTPUT(
|
||||
diff -urNp strongswan-5.1.0-patched/configure.ac strongswan-5.1.0-current/configure.ac
|
||||
--- strongswan-5.1.0-patched/configure.ac 2013-08-06 17:16:36.279031528 -0400
|
||||
+++ strongswan-5.1.0-current/configure.ac 2013-08-06 17:35:01.750380445 -0400
|
||||
@@ -1311,6 +1311,8 @@ AC_CONFIG_FILES([
|
||||
man/Makefile
|
||||
init/Makefile
|
||||
init/systemd/Makefile
|
||||
@@ -133,10 +10,24 @@ Index: strongswan-5.0.0/configure.in
|
||||
src/Makefile
|
||||
src/include/Makefile
|
||||
src/libstrongswan/Makefile
|
||||
Index: strongswan-5.0.0/init/sysvinit/strongswan
|
||||
===================================================================
|
||||
--- /dev/null
|
||||
+++ strongswan-5.0.0/init/sysvinit/strongswan
|
||||
diff -urNp strongswan-5.1.0-patched/init/Makefile.am strongswan-5.1.0-current/init/Makefile.am
|
||||
--- strongswan-5.1.0-patched/init/Makefile.am 2013-08-06 17:16:36.279031528 -0400
|
||||
+++ strongswan-5.1.0-current/init/Makefile.am 2013-08-06 17:36:19.905472912 -0400
|
||||
@@ -1,5 +1,5 @@
|
||||
|
||||
-SUBDIRS =
|
||||
+SUBDIRS = sysvinit
|
||||
|
||||
if HAVE_SYSTEMD
|
||||
SUBDIRS += systemd
|
||||
diff -urNp strongswan-5.1.0-patched/init/sysvinit/Makefile.am strongswan-5.1.0-current/init/sysvinit/Makefile.am
|
||||
--- strongswan-5.1.0-patched/init/sysvinit/Makefile.am 1969-12-31 19:00:00.000000000 -0500
|
||||
+++ strongswan-5.1.0-current/init/sysvinit/Makefile.am 2013-07-31 15:56:21.919959000 -0400
|
||||
@@ -0,0 +1 @@
|
||||
+noinst_DATA = strongswan
|
||||
diff -urNp strongswan-5.1.0-patched/init/sysvinit/strongswan strongswan-5.1.0-current/init/sysvinit/strongswan
|
||||
--- strongswan-5.1.0-patched/init/sysvinit/strongswan 1969-12-31 19:00:00.000000000 -0500
|
||||
+++ strongswan-5.1.0-current/init/sysvinit/strongswan 2013-07-31 15:56:21.920958000 -0400
|
||||
@@ -0,0 +1,100 @@
|
||||
+#!/bin/sh
|
||||
+#
|
||||
@@ -238,3 +129,107 @@ Index: strongswan-5.0.0/init/sysvinit/strongswan
|
||||
+ exit 2
|
||||
+esac
|
||||
+exit $?
|
||||
diff -urNp strongswan-5.1.0-patched/init/sysvinit/strongswan.in strongswan-5.1.0-current/init/sysvinit/strongswan.in
|
||||
--- strongswan-5.1.0-patched/init/sysvinit/strongswan.in 1969-12-31 19:00:00.000000000 -0500
|
||||
+++ strongswan-5.1.0-current/init/sysvinit/strongswan.in 2013-07-31 15:56:21.919959000 -0400
|
||||
@@ -0,0 +1,100 @@
|
||||
+#!/bin/sh
|
||||
+#
|
||||
+# strongswan An implementation of key management system for IPsec
|
||||
+#
|
||||
+# chkconfig: - 48 52
|
||||
+# description: Starts or stops the Strongswan daemon.
|
||||
+
|
||||
+### BEGIN INIT INFO
|
||||
+# Provides: ipsec
|
||||
+# Required-Start: $network $remote_fs $syslog $named
|
||||
+# Required-Stop: $syslog $remote_fs
|
||||
+# Default-Start:
|
||||
+# Default-Stop: 0 1 6
|
||||
+# Short-Description: Start Strongswan daemons at boot time
|
||||
+### END INIT INFO
|
||||
+
|
||||
+# Source function library.
|
||||
+. /etc/rc.d/init.d/functions
|
||||
+
|
||||
+exec="@sbindir@/@ipsec_script@"
|
||||
+prog="strongswan"
|
||||
+status_prog="starter"
|
||||
+config="/etc/strongswan/strongswan.conf"
|
||||
+
|
||||
+lockfile=/var/lock/subsys/$prog
|
||||
+
|
||||
+start() {
|
||||
+ [ -x $exec ] || exit 5
|
||||
+ [ -f $config ] || exit 6
|
||||
+ echo -n $"Starting $prog: "
|
||||
+ daemon $exec start
|
||||
+ retval=$?
|
||||
+ echo
|
||||
+ [ $retval -eq 0 ] && touch $lockfile
|
||||
+ return $retval
|
||||
+}
|
||||
+
|
||||
+stop() {
|
||||
+ echo -n $"Stopping $prog: "
|
||||
+ $exec stop
|
||||
+ retval=$?
|
||||
+ echo
|
||||
+ [ $retval -eq 0 ] && rm -f $lockfile
|
||||
+ return $retval
|
||||
+}
|
||||
+
|
||||
+restart() {
|
||||
+ stop
|
||||
+ start
|
||||
+}
|
||||
+
|
||||
+reload() {
|
||||
+ restart
|
||||
+}
|
||||
+
|
||||
+force_reload() {
|
||||
+ restart
|
||||
+}
|
||||
+
|
||||
+_status() {
|
||||
+ # run checks to determine if the service is running or use generic status
|
||||
+ status $status_prog
|
||||
+}
|
||||
+
|
||||
+_status_q() {
|
||||
+ _status >/dev/null 2>&1
|
||||
+}
|
||||
+
|
||||
+
|
||||
+case "$1" in
|
||||
+ start)
|
||||
+ _status_q && exit 0
|
||||
+ $1
|
||||
+ ;;
|
||||
+ stop)
|
||||
+ _status_q || exit 0
|
||||
+ $1
|
||||
+ ;;
|
||||
+ restart)
|
||||
+ $1
|
||||
+ ;;
|
||||
+ reload)
|
||||
+ _status_q || exit 7
|
||||
+ $1
|
||||
+ ;;
|
||||
+ force-reload)
|
||||
+ force_reload
|
||||
+ ;;
|
||||
+ status)
|
||||
+ _status
|
||||
+ ;;
|
||||
+ condrestart|try-restart)
|
||||
+ _status_q || exit 0
|
||||
+ restart
|
||||
+ ;;
|
||||
+ *)
|
||||
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
|
||||
+ exit 2
|
||||
+esac
|
||||
+exit $?
|
||||
|
||||
Reference in New Issue
Block a user